/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.management.config;

import java.util.Map;

import com.sun.appserv.management.config.NodeAgentConfig;
import com.sun.appserv.management.config.JMXConnectorConfig;
import com.sun.appserv.management.config.JMXConnectorConfig;

import com.sun.enterprise.management.AMXTestBase;


/**
 */
public final class NodeAgentConfigTest extends AMXTestBase
{
        public
    NodeAgentConfigTest()
    {
    }

		private void
	sanityCheck( final NodeAgentConfig na )
	{
	    final JMXConnectorConfig    jmx = na.getJMXConnectorConfig();
	    
	    final boolean   startServers    = na.getStartServersInStartup();
	    na.setStartServersInStartup( startServers );
	    
	    final String name    = na.getSystemJMXConnectorName();
	    na.setSystemJMXConnectorName( name );
	}
	
		public void
	testGetters()
	{
	    final Map<String,NodeAgentConfig> m = getDomainConfig().getNodeAgentConfigMap();
	    
	    if ( m.size() == 0 )
	    {
	        warning( "NodeAgentConfigTest: no NodeAgentConfigs to test" );
	    }
	    else
	    {
    	    for( final NodeAgentConfig na : m.values() )
    	    {
    	        sanityCheck( na );
    	    }
	    }
	}
 
}


